---
minutes: 20
---

# Exercise: Health Statistics

{{#include ../../third_party/rust-on-exercism/health-statistics.md}}

Copy the code below to <https://play.rust-lang.org/> and fill in the missing
method:

```rust,editable
{{#include ../../third_party/rust-on-exercism/health-statistics.rs:setup}}

{{#include ../../third_party/rust-on-exercism/health-statistics.rs:User_visit_doctor}}
        todo!("Update a user's statistics based on measurements from a visit to the doctor")
    }
}

{{#include ../../third_party/rust-on-exercism/health-statistics.rs:tests}}
```
